package com.patzn.lims.drug.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.Account;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.drug.dto.DrugSampleKeepDTO;
import com.patzn.lims.drug.entity.DrugSampleKeep;
import com.patzn.lims.drug.vo.DrugSampleKeepVO;

/**
 * <p>
 * 食药取样表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-02-29
 */
public interface IDrugSampleKeepService extends IBaseService<DrugSampleKeep> {

    Page<DrugSampleKeep> page(Page<DrugSampleKeep> page, DrugSampleKeep drugSampleKeep);

    boolean bathSampleMakeEnd(DrugSampleKeepDTO dto,Long sampleId, Account account);

    Page<DrugSampleKeepVO> pageSampleKeepVO(Page page, DrugSampleKeepVO drugSampleKeepVO);

    boolean saveKeepInfo(Long[] ids, DrugSampleKeep keep, Account account);

    boolean bathHandleEnd(Long[] ids, DrugSampleKeep keep, Account account);
}
